Host
get
Authorizations
Responses
200
Successful
application/json
hostIdstringRequired
typestringRequired
namestringRequired
customDomainbooleanRequired
500
Internal Server Error
application/json
get/host/user
GET /v1/host/user HTTP/1.1
Host: api.edgetag.io
Accept: */*
[
{
"hostId": "text",
"type": "text",
"name": "text",
"customDomain": true,
"_count": {
"tags": 1
}
}
]get
Authorizations
Path parameters
hostIdstringRequired
Responses
200
Successful
application/json
hostIdstringRequired
typestringRequired
namestringRequired
customDomainbooleanRequired
409
Host does not exist
application/json
500
Internal Server Error
application/json
get/host/{hostId}
GET /v1/host/{hostId} HTTP/1.1
Host: api.edgetag.io
Accept: */*
{
"hostId": "text",
"type": "text",
"name": "text",
"customDomain": true
}put
Authorizations
Path parameters
hostIdstringRequired
Body
namestringRequired
typestringRequired
customDomainbooleanRequired
Responses
200
Successful
application/json
object · Model28Optional
409
Host does not exist
application/json
500
Internal Server Error
application/json
put/host/{hostId}
PUT /v1/host/{hostId} HTTP/1.1
Host: api.edgetag.io
Content-Type: application/json
Accept: */*
Content-Length: 134
{
"name": "text",
"type": "text",
"customDomain": true,
"secrets": [
{
"variable": "text",
"data": "text",
"iv": "text",
"key": "text",
"salt": "text"
}
]
}{}delete
Authorizations
Path parameters
hostIdstringRequired
Responses
200
Successful
application/json
object · Model28Optional
405
Host can not be deleted as it is associated with one or more tags/sites
application/json
406
Host does not exist
application/json
500
Internal Server Error
application/json
delete/host/{hostId}
DELETE /v1/host/{hostId} HTTP/1.1
Host: api.edgetag.io
Accept: */*
{}post
Authorizations
Body
namestringRequired
typestringRequired
customDomainbooleanRequired
Responses
200
Successful
application/json
hostIdstringRequired
500
Internal Server Error
application/json
post/host
POST /v1/host HTTP/1.1
Host: api.edgetag.io
Content-Type: application/json
Accept: */*
Content-Length: 134
{
"name": "text",
"type": "text",
"customDomain": true,
"secrets": [
{
"variable": "text",
"data": "text",
"iv": "text",
"key": "text",
"salt": "text"
}
]
}{
"hostId": "text"
}Last updated
Was this helpful?

